Package org.eclipse.launchbar.core.internal

# Class ProjectLaunchObjectProvider

java.lang.Object
org.eclipse.launchbar.core.internal.ProjectLaunchObjectProvider

All Implemented Interfaces:
  `EventListener`, `org.eclipse.core.resources.IResourceChangeListener`, `ILaunchObjectProvider`

public class ProjectLaunchObjectProvider extends Object implements ILaunchObjectProvider, org.eclipse.core.resources.IResourceChangeListener
Injects IProject objects from platform resources into the launch bar model for potential project descriptors.

## Field Summary

### Fields inherited from interface org.eclipse.core.resources.IResourceChangeListener

`PROPERTY_EVENT_MASK`

## Constructor Summary

Constructors
Constructor
Description
`ProjectLaunchObjectProvider()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Shutting down, remove any listeners.
`void`
`init(ILaunchBarManager manager)`
Add initial launch objects and set up listeners for new ones.
`void`
`resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProjectLaunchObjectProvider

public ProjectLaunchObjectProvider()

## Method Details

### init

public void init(ILaunchBarManager manager) throws org.eclipse.core.runtime.CoreException
Description copied from interface: `ILaunchObjectProvider`
Add initial launch objects and set up listeners for new ones.

Specified by:
  `init` in interface `ILaunchObjectProvider`
Throws:
  `org.eclipse.core.runtime.CoreException`

### dispose

public void dispose()
Description copied from interface: `ILaunchObjectProvider`
Shutting down, remove any listeners.

Specified by:
  `dispose` in interface `ILaunchObjectProvider`

### resourceChanged

public void resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)

Specified by:
  `resourceChanged` in interface `org.eclipse.core.resources.IResourceChangeListener`